Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.hyades.logging.events
Interface IExtendedDataElement

All Known Implementing Classes:
  ExtendedDataElementImpl

Deprecated. This class is deprecated as of 2004-05-17. Use the corresponding class available in org.eclipse.hyades.logging.events.cbe*

public interface IExtendedDataElement

Version:
  1.0
Author:
  rduggan Taken from "Canonical Situation Data Format: The Common Base Event V1.0.1 ACAB.BO0301.0.1" The ExtendedDataElement allows for user-supplied name-type-value collections to be specified for extensibility purposes. This is where a user can include any other attributes not accounted for in the CommonBaseEvent data model. Collections specified here are assumed to be product specific data. The named properties can be filtered, searched on, or referenced by the correlation rules. The 'name' is user defined, however, the nonexclusive list of reserved keywords are as follows: RawData - This keyword is indicative of 'as is' data and usually in a format that may be proprietary to the producer of such data. It may be in any form including binary. It is intended to allow the data to be retrieved verbatim, and to support tools that understand the format of the context. RootHeader - This keyword is intended to identify the root ExtendedDataElement for a hierarchy of the ExtendedDataElement?s that are defined by the dataRefs.

Field Summary
`static java.lang.String` | `TYPE_BOOLEAN` Deprecated.
`static java.lang.String` | `TYPE_BOOLEAN_ARRAY` Deprecated.
`static int` | `TYPE_BOOLEAN_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_BOOLEAN_VALUE` Deprecated.
`static java.lang.String` | `TYPE_BYTE` Deprecated.
`static java.lang.String` | `TYPE_BYTE_ARRAY` Deprecated.
`static int` | `TYPE_BYTE_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_BYTE_VALUE` Deprecated.
`static java.lang.String` | `TYPE_DATE_TIME` Deprecated.
`static java.lang.String` | `TYPE_DATE_TIME_ARRAY` Deprecated.
`static int` | `TYPE_DATE_TIME_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_DATE_TIME_VALUE` Deprecated.
`static java.lang.String` | `TYPE_DOUBLE` Deprecated.
`static java.lang.String` | `TYPE_DOUBLE_ARRAY` Deprecated.
`static int` | `TYPE_DOUBLE_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_DOUBLE_VALUE` Deprecated.
`static java.lang.String` | `TYPE_FLOAT` Deprecated.
`static java.lang.String` | `TYPE_FLOAT_ARRAY` Deprecated.
`static int` | `TYPE_FLOAT_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_FLOAT_VALUE` Deprecated.
`static java.lang.String` | `TYPE_HEX_BINARY` Deprecated.
`static int` | `TYPE_HEX_BINARY_VALUE` Deprecated.
`static java.lang.String` | `TYPE_INT` Deprecated.
`static java.lang.String` | `TYPE_INT_ARRAY` Deprecated.
`static int` | `TYPE_INT_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_INT_VALUE` Deprecated.
`static java.lang.String` | `TYPE_LONG` Deprecated.
`static java.lang.String` | `TYPE_LONG_ARRAY` Deprecated.
`static int` | `TYPE_LONG_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_LONG_VALUE` Deprecated.
`static java.lang.String` | `TYPE_NO_VALUE` Deprecated.
`static int` | `TYPE_NO_VALUE_VALUE` Deprecated.
`static java.lang.String` | `TYPE_SHORT` Deprecated.
`static java.lang.String` | `TYPE_SHORT_ARRAY` Deprecated.
`static int` | `TYPE_SHORT_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_SHORT_VALUE` Deprecated.
`static java.lang.String` | `TYPE_STRING` Deprecated.
`static java.lang.String` | `TYPE_STRING_ARRAY` Deprecated.
`static int` | `TYPE_STRING_ARRAY_VALUE` Deprecated.
`static int` | `TYPE_STRING_VALUE` Deprecated.

Method Summary
`IExtendedDataElement` | `addChild(java.lang.String name)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, int type, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, int type, java.lang.String[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChild(java.lang.String name, java.lang.String[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`void` | `addChildDataElement(IExtendedDataElement element)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithBooleanArrayValue(java.lang.String name, boolean[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithBooleanValue(java.lang.String name, boolean value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithByteArrayValue(java.lang.String name, byte[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithByteValue(java.lang.String name, byte value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDateArrayValue(java.lang.String name, java.lang.String[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDateAsLongValue(java.lang.String name, long value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDatesAsLongValue(java.lang.String name, long[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDateValue(java.lang.String name, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDoubleArrayValue(java.lang.String name, double[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithDoubleValue(java.lang.String name, double value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithFloatArrayValue(java.lang.String name, float[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithFloatValue(java.lang.String name, float value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithHexValue(java.lang.String name, java.lang.String value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithHexValueAsByteArray(java.lang.String name, byte[] value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithIntArrayValue(java.lang.String name, int[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithIntValue(java.lang.String name, int value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithLongArrayValue(java.lang.String name, long[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithLongValue(java.lang.String name, long value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithShortArrayValue(java.lang.String name, short[] values)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`IExtendedDataElement` | `addChildWithShortValue(java.lang.String name, short value)` Deprecated. Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`void` | `clearChildDataElements()` Deprecated. Removes all IExtendedDataElements from the child data elements table.
`boolean` | `getBoolean()` Deprecated. Get the boolean value for this extended data element.
`boolean[]` | `getBooleanArray()` Deprecated. Get the boolean value for this extended data element.
`byte` | `getByte()` Deprecated. Get the byte value for this extended data element.
`byte[]` | `getByteArray()` Deprecated. Get the byte value for this extended data element.
`IExtendedDataElement` | `getChildDataElement(java.lang.String name)` Deprecated. Gets a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`java.util.List` | `getChildDataElements()` Deprecated. Returns the child data elements Other extendedDataElement(s) to specify a structured list of child extendedDataElements.
`java.lang.String` | `getDateTime()` Deprecated. Get the dateTime value for this extended data element.
`java.lang.String[]` | `getDateTimeArray()` Deprecated. Get the dateTime[] value for this extended data element.
`long[]` | `getDateTimeArrayAsLong()` Deprecated. Get the dateTime[] value as a long[] holding UTC millisecondsfor this extended data element.
`long` | `getDateTimeAsLong()` Deprecated. Get the dateTime value as a long holding UTC millisecondsfor this extended data element.
`double` | `getDouble()` Deprecated. Get the double value for this extended data element.
`double[]` | `getDoubleArray()` Deprecated. Get the double[] value for this extended data element.
`float` | `getFloat()` Deprecated. Get the float value for this extended data element.
`float[]` | `getFloatArray()` Deprecated. Get the float[] value for this extended data element.
`byte[]` | `getHexBinary()` Deprecated. Get the hexBinary value for this extended data element.
`char[]` | `getHexBinarys()` Deprecated. Get the hexBinary value for this extended data element.
`byte[]` | `getHexValue()` Deprecated. The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above.
`char[]` | `getHexValues()` Deprecated. The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above.
`java.lang.String` | `getId()` Deprecated. Not required for CBE 1.0.1.
`int` | `getInt()` Deprecated. Get the int value for this extended data element.
`int[]` | `getIntArray()` Deprecated. Get the int[] value for this extended data element.
`long` | `getLong()` Deprecated. Get the long value for this extended data element.
`long[]` | `getLongArray()` Deprecated. Get the long[] value for this extended data element.
`java.lang.String` | `getName()` Deprecated. Returns the name.
`short` | `getShort()` Deprecated. Get the short value for this extended data element.
`short[]` | `getShortArray()` Deprecated. Get the short[] value for this extended data element.
`java.lang.String` | `getString()` Deprecated. Get the string value for this extended data element.
`java.lang.String[]` | `getStringArray()` Deprecated. Get the string[] value for this extended data element.
`java.lang.String` | `getType()` Deprecated. Returns the type.
`int` | `getTypeValue()` Deprecated. Returns the type as one of the enumerated type values defined in IExtendedDataElement.
`java.util.List` | `getValues()` Deprecated. The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary.
`java.lang.String[]` | `getValuesAsStringArray()` Deprecated. The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary.
`void` | `init()` Deprecated. Resets the object's properties to their initial (e.g. null) state.
`void` | `removeChildDataElement(java.lang.String name)` Deprecated. Removes a IExtendedDataElement from the child data elements table.
`void` | `setBoolean(boolean value)` Deprecated. Set the boolean value for this extended data element.
`void` | `setBooleanArray(boolean[] values)` Deprecated. Set the boolean[] value for this extended data element.
`void` | `setByte(byte value)` Deprecated. Set the byte value for this extended data element.
`void` | `setByteArray(byte[] values)` Deprecated. Set the byte[] value for this extended data element.
`void` | `setDateTime(long value)` Deprecated. Set the long value for this extended data element.
`void` | `setDateTime(java.lang.String value)` Deprecated. Set the dateTime value for this extended data element.
`void` | `setDateTimeArray(long[] values)` Deprecated. Set the long[] value for this extended data element.
`void` | `setDateTimeArray(java.lang.String[] values)` Deprecated. Set the dateTime value for this extended data element.
`void` | `setDouble(double value)` Deprecated. Set the double value for this extended data element.
`void` | `setDoubleArray(double[] values)` Deprecated. Set the double[] value for this extended data element.
`void` | `setFloat(float value)` Deprecated. Set the float value for this extended data element.
`void` | `setFloatArray(float[] values)` Deprecated. Set the float[] value for this extended data element.
`void` | `setHexBinary(byte[] values)` Deprecated. Set the hexBinary value for this extended data element.
`void` | `setHexBinarys(char[] values)` Deprecated. Set the hexBinary value for this extended data element.
`void` | `setHexValue(byte[] hexValue)` Deprecated. The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above.
`void` | `setHexValues(char[] hexValues)` Deprecated. The hexValue is an array of characters that holds the data for any other data type or complexType not in the supported types described above.
`void` | `setId(java.lang.String id)` Deprecated. Not required for CBE 1.0.1.
`void` | `setInt(int value)` Deprecated. Set the int value for this extended data element.
`void` | `setIntArray(int[] values)` Deprecated. Set the int[] value for this extended data element.
`void` | `setLong(long value)` Deprecated. Set the long value for this extended data element.
`void` | `setLongArray(long[] values)` Deprecated. Set the long[] value for this extended data element.
`void` | `setName(java.lang.String name)` Deprecated. Sets the name.
`void` | `setShort(short value)` Deprecated. Set the short value for this extended data element.
`void` | `setShortArray(short[] values)` Deprecated. Set the short[] value for this extended data element.
`void` | `setString(java.lang.String value)` Deprecated. Set the string value for this extended data element.
`void` | `setStringArray(java.lang.String[] values)` Deprecated. Set the String[] value for this extended data element.
`void` | `setType(int type)` Deprecated. Sets the type.
`void` | `setType(java.lang.String type)` Deprecated. Sets the type.
`void` | `setValues(java.lang.String[] values)` Deprecated. The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary.

Field Detail

### TYPE_BYTE

    public static final java.lang.String TYPE_BYTE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_SHORT

    public static final java.lang.String TYPE_SHORT

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_INT

    public static final java.lang.String TYPE_INT

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_LONG

    public static final java.lang.String TYPE_LONG

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_FLOAT

    public static final java.lang.String TYPE_FLOAT

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DOUBLE

    public static final java.lang.String TYPE_DOUBLE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_STRING

    public static final java.lang.String TYPE_STRING

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_BOOLEAN

    public static final java.lang.String TYPE_BOOLEAN

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DATE_TIME

    public static final java.lang.String TYPE_DATE_TIME

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_BYTE_ARRAY

    public static final java.lang.String TYPE_BYTE_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_SHORT_ARRAY

    public static final java.lang.String TYPE_SHORT_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_INT_ARRAY

    public static final java.lang.String TYPE_INT_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_LONG_ARRAY

    public static final java.lang.String TYPE_LONG_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_FLOAT_ARRAY

    public static final java.lang.String TYPE_FLOAT_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DOUBLE_ARRAY

    public static final java.lang.String TYPE_DOUBLE_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_STRING_ARRAY

    public static final java.lang.String TYPE_STRING_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_BOOLEAN_ARRAY

    public static final java.lang.String TYPE_BOOLEAN_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DATE_TIME_ARRAY

    public static final java.lang.String TYPE_DATE_TIME_ARRAY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_HEX_BINARY

    public static final java.lang.String TYPE_HEX_BINARY

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_NO_VALUE

    public static final java.lang.String TYPE_NO_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_BYTE_VALUE

    public static final int TYPE_BYTE_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_SHORT_VALUE

    public static final int TYPE_SHORT_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_INT_VALUE

    public static final int TYPE_INT_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_LONG_VALUE

    public static final int TYPE_LONG_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_FLOAT_VALUE

    public static final int TYPE_FLOAT_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DOUBLE_VALUE

    public static final int TYPE_DOUBLE_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_STRING_VALUE

    public static final int TYPE_STRING_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_BOOLEAN_VALUE

    public static final int TYPE_BOOLEAN_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DATE_TIME_VALUE

    public static final int TYPE_DATE_TIME_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_BYTE_ARRAY_VALUE

    public static final int TYPE_BYTE_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_SHORT_ARRAY_VALUE

    public static final int TYPE_SHORT_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_INT_ARRAY_VALUE

    public static final int TYPE_INT_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_LONG_ARRAY_VALUE

    public static final int TYPE_LONG_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_FLOAT_ARRAY_VALUE

    public static final int TYPE_FLOAT_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DOUBLE_ARRAY_VALUE

    public static final int TYPE_DOUBLE_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_STRING_ARRAY_VALUE

    public static final int TYPE_STRING_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_BOOLEAN_ARRAY_VALUE

    public static final int TYPE_BOOLEAN_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_DATE_TIME_ARRAY_VALUE

    public static final int TYPE_DATE_TIME_ARRAY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_HEX_BINARY_VALUE

    public static final int TYPE_HEX_BINARY_VALUE

  Deprecated.
  See Also:
    Constant Field Values

### TYPE_NO_VALUE_VALUE

    public static final int TYPE_NO_VALUE_VALUE

  Deprecated.
  See Also:
    Constant Field Values

Method Detail

### addChildDataElement

    public void addChildDataElement(IExtendedDataElement element)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### getChildDataElements

    public java.util.List getChildDataElements()

  Deprecated.
  Returns the child data elements Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

  Returns:
    List of Child Data Elements, otherwise an empty list.

### removeChildDataElement

    public void removeChildDataElement(java.lang.String name)

  Deprecated.
  Removes a IExtendedDataElement from the child data elements table.

### clearChildDataElements

    public void clearChildDataElements()

  Deprecated.
  Removes all IExtendedDataElements from the child data elements table.

### getValues

    public java.util.List getValues()

  Deprecated.
  The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary. hexBinary values MUST be defined using the hexValue property. This is an OPTIONAL property.

  Returns:
    List
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a hexBinary data type.

### getValuesAsStringArray

    public java.lang.String[] getValuesAsStringArray()

  Deprecated.
  The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary. hexBinary values MUST be defined using the hexValue property. This is an OPTIONAL property.

  Returns:
    String[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a hexBinary data type.

### getHexValues

    public char[] getHexValues()

  Deprecated.
  The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

  Returns:
    char[]

### getHexValue

    public byte[] getHexValue()

  Deprecated.
  The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

  Returns:
    byte[]

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the name. The name of the extended data element. This name MUST be unique with respect to all other fields in the event.This is a REQUIRED property.

  Returns:
    String

### getType

    public java.lang.String getType()

  Deprecated.
  Returns the type. The data type of the values specified in the values property below. Valid types are as follows: 1. byte 2. short 3. int 4. long 5. float 6. double 7. string 8. dateTime 9. duration 10. byteArray 11. shortArray 12. intArray 13. longArray 14. floatArray 15. doubleArray 16. stringArray 17. dateTimeArray 18. durationArray 19. hexBinary The above data types are the only valid types supported by the ExtendedDataElement type. The default value is 'string'.

  Returns:
    String

### getTypeValue

    public int getTypeValue()

  Deprecated.
  Returns the type as one of the enumerated type values defined in IExtendedDataElement.

  Returns:
    int

### setId

    public void setId(java.lang.String id)

  Deprecated. Not required for CBE 1.0.1.

  Sets the id. The primary identifier for the element. This property MUST be globally unique. The recommend value for this is either a 128 bit or 256 bit Globally Unique Id (represented as hex string). Once this value is set it MUST never be changed. This is an OPTIONAL property.

  Parameters:
    `id` - The id to set

### getId

    public java.lang.String getId()

  Deprecated. Not required for CBE 1.0.1.

  Gets the id. The primary identifier for the element. This property MUST be globally unique. The recommend value for this is either a 128 bit or 256 bit Globally Unique Id (represented as hex string). Once this value is set it MUST never be changed. This is an OPTIONAL property.

  Returns:
    The id

### setName

    public void setName(java.lang.String name)

  Deprecated.
  Sets the name. The name of the extended data element. This name MUST be unique with respect to all other fields in the event.This is a REQUIRED property.

  Parameters:
    `name` - The name to set

### setType

    public void setType(java.lang.String type)

  Deprecated.
  Sets the type. The data type of the values specified in the values property below. Valid types are as follows: 1. byte 2. short 3. int 4. long 5. float 6. double 7. string 8. dateTime 9. duration 10. byteArray 11. shortArray 12. intArray 13. longArray 14. floatArray 15. doubleArray 16. stringArray 17. dateTimeArray 18. durationArray 19. hexBinary The above data types are the only valid types supported by the ExtendedDataElement type. The default value is 'string'.

  Parameters:
    `type` - The type to set

### setType

    public void setType(int type)

  Deprecated.
  Sets the type. From one of the enumerated values defined in IExtendedDataElement

  Parameters:
    `type` - The type to set

### setValues

    public void setValues(java.lang.String[] values)

  Deprecated.
  The array of values for this extended data element as a string representation of the type specified above, excluding hexBinary. hexBinary values MUST be defined using the hexValue property. This is an OPTIONAL property.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a hexBinary data type.

### setHexValues

    public void setHexValues(char[] hexValues)

  Deprecated.
  The hexValue is an array of characters that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

### setHexValue

    public void setHexValue(byte[] hexValue)

  Deprecated.
  The hexValue is an array of bytes that holds the data for any other data type or complexType not in the supported types described above. The hexValue and values properties are mutually exclusive. Only one of these properties can be defined. This is an OPTIONAL property.

### getString

    public java.lang.String getString()

  Deprecated.
  Get the string value for this extended data element. The method is only valid if the extended data element is a String. Otherwise an exception is thrown.

  Returns:
    String
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getDateTimeAsLong

    public long getDateTimeAsLong()

  Deprecated.
  Get the dateTime value as a long holding UTC millisecondsfor this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Returns:
    long
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getDateTime

    public java.lang.String getDateTime()

  Deprecated.
  Get the dateTime value for this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Returns:
    String
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getBoolean

    public boolean getBoolean()

  Deprecated.
  Get the boolean value for this extended data element. The method is only valid if the extended data element is a boolean. Otherwise an exception is thrown.

  Returns:
    boolean
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getByte

    public byte getByte()

  Deprecated.
  Get the byte value for this extended data element. The method is only valid if the extended data element is a byte. Otherwise an exception is thrown.

  Returns:
    byte
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getShort

    public short getShort()

  Deprecated.
  Get the short value for this extended data element. The method is only valid if the extended data element is a short. Otherwise an exception is thrown.

  Returns:
    short
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getInt

    public int getInt()

  Deprecated.
  Get the int value for this extended data element. The method is only valid if the extended data element is a int. Otherwise an exception is thrown.

  Returns:
    int
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getLong

    public long getLong()

  Deprecated.
  Get the long value for this extended data element. The method is only valid if the extended data element is a long. Otherwise an exception is thrown.

  Returns:
    long
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getFloat

    public float getFloat()

  Deprecated.
  Get the float value for this extended data element. The method is only valid if the extended data element is a float. Otherwise an exception is thrown.

  Returns:
    float
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getDouble

    public double getDouble()

  Deprecated.
  Get the double value for this extended data element. The method is only valid if the extended data element is a double. Otherwise an exception is thrown.

  Returns:
    double
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getStringArray

    public java.lang.String[] getStringArray()

  Deprecated.
  Get the string[] value for this extended data element. The method is only valid if the event property is a String[]. Otherwise an exception is thrown.

  Returns:
    String[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getDateTimeArrayAsLong

    public long[] getDateTimeArrayAsLong()

  Deprecated.
  Get the dateTime[] value as a long[] holding UTC millisecondsfor this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Returns:
    long[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getDateTimeArray

    public java.lang.String[] getDateTimeArray()

  Deprecated.
  Get the dateTime[] value for this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Returns:
    String[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getBooleanArray

    public boolean[] getBooleanArray()

  Deprecated.
  Get the boolean value for this extended data element. The method is only valid if the extended data element is a boolean[]. Otherwise an exception is thrown.

  Returns:
    boolean[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getByteArray

    public byte[] getByteArray()

  Deprecated.
  Get the byte value for this extended data element. The method is only valid if the extended data element is a byte[]. Otherwise an exception is thrown.

  Returns:
    byte[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getShortArray

    public short[] getShortArray()

  Deprecated.
  Get the short[] value for this extended data element. The method is only valid if the extended data element is a short[]. Otherwise an exception is thrown.

  Returns:
    short[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getIntArray

    public int[] getIntArray()

  Deprecated.
  Get the int[] value for this extended data element. The method is only valid if the extended data element is a int[]. Otherwise an exception is thrown.

  Returns:
    int[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getLongArray

    public long[] getLongArray()

  Deprecated.
  Get the long[] value for this extended data element. The method is only valid if the extended data element is a long[]. Otherwise an exception is thrown.

  Returns:
    long[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getFloatArray

    public float[] getFloatArray()

  Deprecated.
  Get the float[] value for this extended data element. The method is only valid if the extended data element is a float[]. Otherwise an exception is thrown.

  Returns:
    float[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getDoubleArray

    public double[] getDoubleArray()

  Deprecated.
  Get the double[] value for this extended data element. The method is only valid if the extended data element is a double[]. Otherwise an exception is thrown.

  Returns:
    double[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getHexBinarys

    public char[] getHexBinarys()

  Deprecated.
  Get the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Returns:
    char[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### getHexBinary

    public byte[] getHexBinary()

  Deprecated.
  Get the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Returns:
    byte[]
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setString

    public void setString(java.lang.String value)

  Deprecated.
  Set the string value for this extended data element. The method is only valid if the extended data element is a string. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setDateTime

    public void setDateTime(long value)

  Deprecated.
  Set the long value for this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setDateTime

    public void setDateTime(java.lang.String value)

  Deprecated.
  Set the dateTime value for this extended data element. The method is only valid if the extended data element is a dateTime. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set* @param String the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setBoolean

    public void setBoolean(boolean value)

  Deprecated.
  Set the boolean value for this extended data element. The method is only valid if the extended data element is a boolean. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setByte

    public void setByte(byte value)

  Deprecated.
  Set the byte value for this extended data element. The method is only valid if the extended data element is a byte. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setShort

    public void setShort(short value)

  Deprecated.
  Set the short value for this extended data element. The method is only valid if the extended data element is a short. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setInt

    public void setInt(int value)

  Deprecated.
  Set the int value for this extended data element. The method is only valid if the extended data element is a int. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setLong

    public void setLong(long value)

  Deprecated.
  Set the long value for this extended data element. The method is only valid if the extended data element is a long. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setFloat

    public void setFloat(float value)

  Deprecated.
  Set the float value for this extended data element. The method is only valid if the extended data element is a float. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setDouble

    public void setDouble(double value)

  Deprecated.
  Set the double value for this extended data element. The method is only valid if the extended data element is a double. Otherwise an exception is thrown.

  Parameters:
    `value` - the value to set
  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setStringArray

    public void setStringArray(java.lang.String[] values)

  Deprecated.
  Set the String[] value for this extended data element. The method is only valid if the extended data element is a String[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setDateTimeArray

    public void setDateTimeArray(long[] values)

  Deprecated.
  Set the long[] value for this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setDateTimeArray

    public void setDateTimeArray(java.lang.String[] values)

  Deprecated.
  Set the dateTime value for this extended data element. The method is only valid if the extended data element is a dateTime[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setBooleanArray

    public void setBooleanArray(boolean[] values)

  Deprecated.
  Set the boolean[] value for this extended data element. The method is only valid if the extended data element is a boolean[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setByteArray

    public void setByteArray(byte[] values)

  Deprecated.
  Set the byte[] value for this extended data element. The method is only valid if the extended data element is a byte[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setShortArray

    public void setShortArray(short[] values)

  Deprecated.
  Set the short[] value for this extended data element. The method is only valid if the extended data element is a short[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setIntArray

    public void setIntArray(int[] values)

  Deprecated.
  Set the int[] value for this extended data element. The method is only valid if the extended data element is a int[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setLongArray

    public void setLongArray(long[] values)

  Deprecated.
  Set the long[] value for this extended data element. The method is only valid if the extended data element is a long[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setFloatArray

    public void setFloatArray(float[] values)

  Deprecated.
  Set the float[] value for this extended data element. The method is only valid if the extended data element is a float[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setDoubleArray

    public void setDoubleArray(double[] values)

  Deprecated.
  Set the double[] value for this extended data element. The method is only valid if the extended data element is a double[]. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setHexBinarys

    public void setHexBinarys(char[] values)

  Deprecated.
  Set the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### setHexBinary

    public void setHexBinary(byte[] values)

  Deprecated.
  Set the hexBinary value for this extended data element. The method is only valid if the extended data element is a hexBinary. Otherwise an exception is thrown.

  Throws:
    `InvalidExtendedDataElementTypeException` - if the extended data element is a different data type.

### init

    public void init()

  Deprecated.
  Resets the object's properties to their initial (e.g. null) state.

  Since:
    1.0.1

### addChild

    public IExtendedDataElement addChild(java.lang.String name)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         int type,
                                         java.lang.String value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         int type,
                                         java.lang.String[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         java.lang.String value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChild

    public IExtendedDataElement addChild(java.lang.String name,
                                         java.lang.String[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithBooleanArrayValue

    public IExtendedDataElement addChildWithBooleanArrayValue(java.lang.String name,
                                                              boolean[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithBooleanValue

    public IExtendedDataElement addChildWithBooleanValue(java.lang.String name,
                                                         boolean value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithByteArrayValue

    public IExtendedDataElement addChildWithByteArrayValue(java.lang.String name,
                                                           byte[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithByteValue

    public IExtendedDataElement addChildWithByteValue(java.lang.String name,
                                                      byte value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithDateArrayValue

    public IExtendedDataElement addChildWithDateArrayValue(java.lang.String name,
                                                           java.lang.String[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithDateAsLongValue

    public IExtendedDataElement addChildWithDateAsLongValue(java.lang.String name,
                                                            long value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithDatesAsLongValue

    public IExtendedDataElement addChildWithDatesAsLongValue(java.lang.String name,
                                                             long[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithDateValue

    public IExtendedDataElement addChildWithDateValue(java.lang.String name,
                                                      java.lang.String value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithDoubleArrayValue

    public IExtendedDataElement addChildWithDoubleArrayValue(java.lang.String name,
                                                             double[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithDoubleValue

    public IExtendedDataElement addChildWithDoubleValue(java.lang.String name,
                                                        double value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithFloatArrayValue

    public IExtendedDataElement addChildWithFloatArrayValue(java.lang.String name,
                                                            float[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithFloatValue

    public IExtendedDataElement addChildWithFloatValue(java.lang.String name,
                                                       float value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithHexValue

    public IExtendedDataElement addChildWithHexValue(java.lang.String name,
                                                     java.lang.String value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithHexValueAsByteArray

    public IExtendedDataElement addChildWithHexValueAsByteArray(java.lang.String name,
                                                                byte[] value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithIntArrayValue

    public IExtendedDataElement addChildWithIntArrayValue(java.lang.String name,
                                                          int[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithIntValue

    public IExtendedDataElement addChildWithIntValue(java.lang.String name,
                                                     int value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithLongArrayValue

    public IExtendedDataElement addChildWithLongArrayValue(java.lang.String name,
                                                           long[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithLongValue

    public IExtendedDataElement addChildWithLongValue(java.lang.String name,
                                                      long value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithShortArrayValue

    public IExtendedDataElement addChildWithShortArrayValue(java.lang.String name,
                                                            short[] values)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### addChildWithShortValue

    public IExtendedDataElement addChildWithShortValue(java.lang.String name,
                                                       short value)

  Deprecated.
  Adds a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

### getChildDataElement

    public IExtendedDataElement getChildDataElement(java.lang.String name)

  Deprecated.
  Gets a child data element Other extendedDataElement(s) to specify a structured list of child extendedDataElements. This list allows a reporter to create a hierarchy of extendedDataElements for a specific CommonBaseEvent. This is an OPTIONAL property.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD